POST
/admin/force-delete-tenant
const url = 'https://example.com/admin/force-delete-tenant';const options = { method: 'POST', headers: {'X-Tenzir-AdminKey': '<X-Tenzir-AdminKey>', 'Content-Type': 'application/json'}, body: '{"tenant_id":"example","reason":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/admin/force-delete-tenant \ --header 'Content-Type: application/json' \ --header 'X-Tenzir-AdminKey: <X-Tenzir-AdminKey>' \ --data '{ "tenant_id": "example", "reason": "example" }'Similar to the user /delete-tenant endpoint, but does not protect shared tenants from deletion.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”Responses
Section titled “ Responses ”Successful Response
Media type application/json
DeleteTenantResponse
object
infra_errors
required
Infra Errors
Array<string>
Example generated
{ "infra_errors": [ "example" ]}{"detail": "Invalid API Key"}
{"detail": "Not permitted to access this tenant"}
{"detail": "Tenant not found"}
Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}